| Home | Libraries | People | FAQ | More

## Struct template inplace_bit_xor

boost::icl::inplace_bit_xor

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Type>
    struct inplace_bit_xor :
      public boost::icl::identity_based_inplace_combine< Type >
    {
      // types
      typedef inplace_bit_xor< Type > type;

      // public member functions
      void operator()(Type &, const Type &) const;

      // public static functions
      static Type identity_element();
    };

## Description

### `inplace_bit_xor` public member functions

1.     void operator()(Type & object, const Type & operand) const;

### `inplace_bit_xor` public static functions

1.     static Type identity_element();